Get accounting entity by id
https://api.propexo.com/v1/accounting-entities/:accounting_entity_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the accounting entity
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.
| Interface | Method |
|---|---|
| Accounts Payable | /MITS/GetAccountsPayable4_0 |
b58db2aa-198a-49d0-9cbe-05b66af83458The external ID of the property from the integration vendor
Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.
| Interface | Method |
|---|---|
| Accounts Payable | /MITS/GetAccountsPayable4_0 |
dc8517d2-74d7-4d21-883e-7403d4ec465bThe name of the accounting entity
This field is not currently hydrated for RESMAN
The ledger code associated to the accounting entity
This field is not currently hydrated for RESMAN
The current period of the accounting entity
This field is not currently hydrated for RESMAN
Whether the accounting entity is active
This field is not currently hydrated for RESMAN
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_RESTRESMANThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/accounting-entities/:accounting_entity_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "b58db2aa-198a-49d0-9cbe-05b66af83458",
"x_property_id": "dc8517d2-74d7-4d21-883e-7403d4ec465b",
"entity_name": "string",
"ledger_code": "string",
"current_period": "string",
"is_active": true,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}